Get all contact details Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of UUIDs.
-
Comma separated list of types to filter by. Valid filters are [email, phone_number].
-
Comma separated list of partial values to filter by.
-
Comma separated list of relationships to include in the response. Valid relationships are [accounts, primary_accounts].
-
Field to sort by. Valid fields are [created_at, updated_at, name, value]. Negative sign to denote DESC. Defaults to 'created_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v2/contact-details
curl \
--request GET 'https://api.plannrcrm.com/api/v2/contact-details' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "a237d897-2b24-4049-b1f0-cbd4b2cd4b8e",
"created_at": "2026-11-19T12:59:41+00:00",
"updated_at": "2026-11-19T12:59:41+00:00",
"type": "email",
"name": "Personal number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"accounts": {
"uuid": "07d1adbc-4492-4f9c-ac8f-aa39a8f51c0b",
"created_at": "2026-11-19T12:59:41+00:00",
"updated_at": "2026-11-19T12:59:41+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "3ee1db72-1c7b-45e7-8035-8702ae7f01a6",
"created_at": "2026-11-19T12:59:41+00:00",
"updated_at": "2026-11-19T12:59:41+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}